## r-cran-pkgkitten 0.1.2

=== DESCRIPTION ===
Package: pkgKitten
Type: Package
Title: Create Simple Packages Which Do Not Upset R CMD check
Version: 0.1.2
Date: 2014-09-10
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: Provides a function kitten() which creates cute little 
 packages which pass R CMD check. This sets it apart from 
 package.skeleton() which it calls, and which leaves imperfect files 
 behind. As this is not exactly helpful for beginners, kitten() offers 
 an alternative.
License: GPL (>= 2)
Packaged: 2014-09-11 11:46:52.754121 UTC; edd
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-11 15:11:06

=== debian/changelog ===
r-cran-pkgkitten (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Sep 2014 11:01:14 -0500

r-cran-pkgkitten (0.1.1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #761142)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Sep 2014 22:00:45 -0500

=== debian/control ===
Source: r-cran-pkgkitten
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.1), cdbs
Standards-Version: 3.9.5

Package: r-cran-pkgkitten
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Description: GNU R package to create simple packages
 This package provides a function kitten() which create cute little 
 packages which pass R CMD check. This sets it apart from 
 package.skeleton() which it calls, and which leaves imperfect files 
 behind. As this is not exactly helpful for beginners, kitten() offers 
 an alternative.

## r-cran-pkgkitten 0.1.3

=== DESCRIPTION ===
Package: pkgKitten
Type: Package
Title: Create Simple Packages Which Do not Upset R Package Checks
Version: 0.1.3
Date: 2015-06-12
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: Provides a function kitten() which creates cute little 
 packages which pass R package checks. This sets it apart from 
 package.skeleton() which it calls, and which leaves imperfect files 
 behind. As this is not exactly helpful for beginners, kitten() offers 
 an alternative.
License: GPL (>= 2)
Suggests: whoami (>= 1.1.0)
NeedsCompilation: no
Packaged: 2015-06-13 12:58:11.439917 UTC; edd
Repository: CRAN
Date/Publication: 2015-06-13 15:04:54

=== debian/changelog ===
r-cran-pkgkitten (0.1.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jun 2015 09:15:11 -0500

r-cran-pkgkitten (0.1.2-1precise1) precise; urgency=low

  * PPA build for Ubuntu 12.04 ("precise")
  * debian/control: Remove Depends on R (>= 3.1.1)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Feb 2015 12:01:07 -0600

r-cran-pkgkitten (0.1.2-1precise0) precise; urgency=low

  * PPA build for Ubuntu 12.04 ("precise")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Feb 2015 11:34:28 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.1.1), cdbs
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.1), cdbs
+Standards-Version: 3.9.6
 
 Package: r-cran-pkgkitten
 Architecture: all

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/pkgKitten_([-\d\.]*)\.tar.gz

## r-cran-pkgkitten 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pkgKitten
 Type: Package
 Title: Create Simple Packages Which Do not Upset R Package Checks
-Version: 0.1.3
-Date: 2015-06-12
+Version: 0.1.4
+Date: 2016-11-13
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Provides a function kitten() which creates cute little 
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 Suggests: whoami (>= 1.1.0)
 NeedsCompilation: no
-Packaged: 2015-06-13 12:58:11.439917 UTC; edd
+Packaged: 2016-11-13 14:52:34.898805 UTC; edd
 Repository: CRAN
-Date/Publication: 2015-06-13 15:04:54
+Date/Publication: 2016-11-13 16:50:45

=== debian/changelog ===
r-cran-pkgkitten (0.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 18:52:18 +0200

r-cran-pkgkitten (0.1.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Nov 2016 15:40:08 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.1), cdbs
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.2), cdbs
+Standards-Version: 3.9.8
 
 Package: r-cran-pkgkitten
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-pkgkitten package
# Copyright 2003-2014 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-pkgkitten 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pkgKitten
 Type: Package
 Title: Create Simple Packages Which Do not Upset R Package Checks
-Version: 0.1.4
-Date: 2016-11-13
+Version: 0.1.5
+Date: 2019-10-22
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Provides a function kitten() which creates cute little 
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 Suggests: whoami (>= 1.1.0)
 NeedsCompilation: no
-Packaged: 2016-11-13 14:52:34.898805 UTC; edd
+Packaged: 2019-10-22 11:54:26.84363 UTC; edd
 Repository: CRAN
-Date/Publication: 2016-11-13 16:50:45
+Date/Publication: 2019-10-22 12:50:02 UTC

=== debian/changelog ===
r-cran-pkgkitten (0.1.5-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:51:51 -0500

r-cran-pkgkitten (0.1.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Oct 2019 16:30:28 -0500

r-cran-pkgkitten (0.1.4-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 12:13:50 -0500

r-cran-pkgkitten (0.1.4-1.2) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 10:57:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.2), cdbs
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-pkgkitten
+Vcs-Git: https://salsa.debian.org/edd/r-cran-pkgkitten.git
+Homepage: https://cran.r-project.org/package=pkgKitten
 
 Package: r-cran-pkgkitten
 Architecture: all

## r-cran-pkgkitten 0.2.1

=== DESCRIPTION ===
Package: pkgKitten
Type: Package
Title: Create Simple Packages Which Do not Upset R Package Checks
Version: 0.2.1
Date: 2021-02-22
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: Provides a function kitten() which creates cute little 
 packages which pass R package checks. This sets it apart from 
 package.skeleton() which it calls, and which leaves imperfect files 
 behind. As this is not exactly helpful for beginners, kitten() offers 
 an alternative. Unit test support can be added via the 'tinytest'
 package (if present), and documentation-creation support can be
 added via 'roxygen2' (if present).
License: GPL (>= 2)
Suggests: whoami (>= 1.1.0), tinytest, roxygen2
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2021-02-22 13:42:12 UTC; edd
Repository: CRAN
Date/Publication: 2021-02-22 16:20:02 UTC

=== debian/changelog ===
r-cran-pkgkitten (0.2.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Feb 2021 12:41:27 -0600

r-cran-pkgkitten (0.2.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Sep 2020 09:31:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-pkgkitten
 Vcs-Git: https://salsa.debian.org/edd/r-cran-pkgkitten.git
 Homepage: https://cran.r-project.org/package=pkgKitten

## r-cran-pkgkitten 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pkgKitten
 Type: Package
 Title: Create Simple Packages Which Do not Upset R Package Checks
-Version: 0.2.1
-Date: 2021-02-22
+Version: 0.2.2
+Date: 2021-07-19
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Provides a function kitten() which creates cute little 
@@ -14,8 +14,11 @@
  added via 'roxygen2' (if present).
 License: GPL (>= 2)
 Suggests: whoami (>= 1.1.0), tinytest, roxygen2
+URL: https://github.com/eddelbuettel/pkgkitten,
+        https://dirk.eddelbuettel.com/code/pkgkitten.html
+BugReports: https://github.com/eddelbuettel/pkgkitten/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2021-02-22 13:42:12 UTC; edd
+Packaged: 2021-07-19 22:43:46 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-02-22 16:20:02 UTC
+Date/Publication: 2021-07-20 05:10:02 UTC

=== debian/changelog ===
r-cran-pkgkitten (0.2.2-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 16:41:41 -0500

r-cran-pkgkitten (0.2.2-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Jul 2021 08:54:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-pkgkitten
 Vcs-Git: https://salsa.debian.org/edd/r-cran-pkgkitten.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-pkgkitten package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-pkgkitten 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pkgKitten
 Type: Package
 Title: Create Simple Packages Which Do not Upset R Package Checks
-Version: 0.2.2
-Date: 2021-07-19
+Version: 0.2.3
+Date: 2023-03-11
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Provides a function kitten() which creates cute little 
@@ -15,10 +15,10 @@
 License: GPL (>= 2)
 Suggests: whoami (>= 1.1.0), tinytest, roxygen2
 URL: https://github.com/eddelbuettel/pkgkitten,
-        https://dirk.eddelbuettel.com/code/pkgkitten.html
+        https://eddelbuettel.github.io/pkgkitten/
 BugReports: https://github.com/eddelbuettel/pkgkitten/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2021-07-19 22:43:46 UTC; edd
+Packaged: 2023-03-11 18:06:32 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-07-20 05:10:02 UTC
+Date/Publication: 2023-03-11 18:30:02 UTC

=== debian/changelog ===
r-cran-pkgkitten (0.2.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Mar 2023 13:45:01 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-pkgkitten
 Vcs-Git: https://salsa.debian.org/edd/r-cran-pkgkitten.git
 Homepage: https://cran.r-project.org/package=pkgKitten

## r-cran-pkgkitten 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: pkgKitten
 Type: Package
 Title: Create Simple Packages Which Do not Upset R Package Checks
-Version: 0.2.3
-Date: 2023-03-11
-Author: Dirk Eddelbuettel
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Version: 0.2.4
+Date: 2024-08-30
+Authors@R: person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
+                  comment = c(ORCID = "0000-0001-6419-907X"))
 Description: Provides a function kitten() which creates cute little 
  packages which pass R package checks. This sets it apart from 
  package.skeleton() which it calls, and which leaves imperfect files 
@@ -19,6 +19,8 @@
 BugReports: https://github.com/eddelbuettel/pkgkitten/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2023-03-11 18:06:32 UTC; edd
+Packaged: 2024-08-30 16:32:36 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>)
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2023-03-11 18:30:02 UTC
+Date/Publication: 2024-08-30 17:00:02 UTC

=== debian/changelog ===
r-cran-pkgkitten (0.2.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Aug 2024 12:18:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-pkgkitten
 Vcs-Git: https://salsa.debian.org/edd/r-cran-pkgkitten.git
 Homepage: https://cran.r-project.org/package=pkgKitten
